#import "iCore.h"
#import "iLocation.h"
#import "iDebug.h"
@interface b4i_main : B4IStaticModule
- (NSString*)  _application_background;
- (NSString*)  _application_foreground;
- (NSString*)  _application_start:(B4INavigationControllerWrapper*) _nav;
- (BOOL)  _locmanager_allowcalibration;
- (NSString*)  _locmanager_authorizationstatuschanged:(int) _status;
- (NSString*)  _locmanager_headingchanged:(double) _magneticheading :(double) _trueheading;
- (NSString*)  _locmanager_locationerror;
- (NSString*)  _page2_barbuttonclick:(NSString*) _tag;
- (NSString*)  _process_globals;
@property (nonatomic)B4IApplicationWrapper* _app;
@property (nonatomic)B4INavigationControllerWrapper* _navcontrol;
@property (nonatomic)B4IPage* _page1;
@property (nonatomic)B4IPage* _page2;
@property (nonatomic)B4ILocationManager* _locmanager;
@property (nonatomic)float _degrees;
@property (nonatomic)B4ILabelWrapper* _lblheading;
@property (nonatomic)B4IPanelWrapper* _pnlcompass;
@property (nonatomic)B4ICanvas* _cvscompass;
@property (nonatomic)B4IRect* _rectbg;
- (NSString*)  _startlocationupdates;
@end
